Subject: Re: [PATCH v2] am --skip/--abort: merge HEAD/ORIG_HEAD tree into index

From: Junio C Hamano <[email-masked]>
Date: Wed, 19 Aug 2015 10:55:20 -0700

Paul Tan <[email-masked]> writes:

> (In addition, I fixed a small mistake with the "struct tree_desc" array
> size.)

Yeah, one thing I forgot to mention was that I suspect this kind of
"oneway merge" already in other places in the code, and a future
mini-project might be to inspect them all and try to see if their
commonalities can be taken advantage of.  If we had a small helper
function to do the "do the equivalent of 'git reset $TREE'", this
miscounting wouldn't have happened.

The change looks sensible.  Thanks.